<div class="container-fluid">
    <%= _.template($('#input_constructor').html())({
        id: "LocationTor", 
        description: tr("Location Tor"), 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("The path along which the folder with Tor lies")
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "Port", 
        description: tr("Port"), 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("Port on which Tor will be opened")
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "EntryNodes", 
        description: "EntryNodes", 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("Which country should the input IP be"),
            examples:[
                {code:"{RU},{UA},{KZ},{BY}"}
            ]
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "ExitNodes", 
        description: "ExitNodes", 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("Which country should the output IP be"),
            examples:[
                {code:"{RU},{UA},{KZ},{BY}"}
            ]
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "ExcludeNodes", 
        description: "ExcludeNodes", 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("Which countries should be excluded from the Tor chain"),
            examples:[
                {code:"{US},{CA},{FR},{DE}"}
            ]
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "TrackHostExits", 
        description: "TrackHostExits", 
        default_selector: "string", 
        disable_int: true, 
        value_string: "", 
        help: {
            description: tr("На каких доменах зафиксировать IP"),
            examples:[
                {code:"google.com", description: tr("fix IP on google.com domain")},
                {code:".google.com", description: tr("fix IP on all google.com subdomains")},
                {code:".", description: tr("fix IP on all domains")}
            ]
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "ChangeIP", 
        description: "ChangeIP", 
        default_selector: "string", 
        disable_int: true, 
        value_string: "false", 
        variants: ["true", "false"],
        help: {
            description: tr("Change IP every ~10 seconds")
        } 
    }) %>

    <%= _.template($('#input_constructor').html())({
        id: "TimeOut", 
        description: "TimeOut", 
        default_selector: "int", 
        disable_string: true, 
        value_number: 120, 
        min_number: 0, 
        max_number: 999999, 
        help: {
            description: tr("Tor maximum startup time (sec)")
        } 
    }) %>

</div>

<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
